/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: IMAGING_DETECTOR.h,v 1.5 2002/11/07 12:50:54 jaffe Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jdejong 2002-05-08  imported
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */
/*----------------------------------------------------------------------- */
/* Definition of IMAGING_DETECTOR table                                           */
/* This file was generated by mididefs.pl from  ../doc/mididoc.tex        */
/*------------------------------------------------------------------------*/
/* types defined in #include "fitsio.h" */
    
/* table type */
char* extname="IMAGING_DETECTOR";
 
/* Define the keywords to be used */
int nkey = 8;       /* number of keywords */
char* keywords[] = { /* Table keywords */
         "REVISION",
         "NDETECT",
         "NREGION",
         "MAX_COEF",
         "NUM_DIM",
         "INSTRUME",
         "MAXTEL",
         "DATE-OBS"
};
int keytype[] = {   /* data types of the keywords */
         TINT,
         TINT,
         TINT,
         TINT,
         TINT,
         TSTRING,
         TINT,
         TSTRING
};
char* keycom[] = {   /* Description of the keywords */
         "Revision number of the table definition, no",
         "The number of detectors used in the instrument",
         "The number of regions used in the current mode",
         "The maximum number of higher order polynomial coefficients",
         "The number of dimensions in the detector array",
         "The name of the instrument (e.g. 'midi')",
         "The maximum number of telescopes contributing photons to the interferometer",
         "Start date/time of observations described by this tabl"
};
/* Define the  columns in the table */
int ncol = 14;       /* number of columns */
char* coltype[] = { /*  Column labels */
         "REGION",
         "DETECTOR",
         "PORTS",
         "CORRELATION",
         "REGNAME",
         "CORNER",
         "GAIN",
         "NAXIS",
         "CRVAL",
         "CRPIX",
         "CTYPE",
         "CD",
         "DMP",
         "DMC"
};
int coldatatype[] = {   /* data types of the keywords */
         TSHORT,
         TSHORT,
         TSHORT,
         TSHORT,
         TSTRING,
         TSHORT,
         TDOUBLE,
         TSHORT,
         TDOUBLE,
         TFLOAT,
         TSTRING,
         TDOUBLE,
         TSHORT,
         TDOUBLE
};
char* colunits[] = {   /*  Units for columns */
         "",
         "",
         "",
         "",
         "",
         "pixel",
         "ADU/E",
         "pixel",
         "WCS",
         "pixel",
         "",
         "",
         "",
         ""
};
long colcount[] = {   /*  Number of elements (as 1D) in the columns */
         1,
         1,
         1,
         1,
         16,
         2,
         1,
         2,
         2,
         2,
         16,
         4,
         1,
         1
};
char* coldim[] = {   /*  Dimensionality if 2D or higher */
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         " ",
         "(8,2)",
         "(2,2)",
         "(NUM_DIM,NUM_DIM,MAX_COEF)",
         "(NUM_DIM,MAX_COEF)"
};
/* */
